Skip to content
SynupAPI
Get an API key
GETapi.synup.com/api/v4/local-post-ideas/scraped-context

Local scraped context

Returns the context scraped from the location's website that grounds post-idea generation — business name/description, services, products, pricing, brand colors/logo, tone, and target customers.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Query

NameTypeRequiredDescription
locationIdstringrequiredRelay-encoded location ID.

Headers

NameTypeRequiredDescription
Synup-VersionstringrequiredAPI version date (YYYY-MM-DD).

Request

Request
curl -X GET 'https://api.synup.com/api/v4/local-post-ideas/scraped-context?locationId=' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Responses

StatusDescription
200Successful response
401Unauthorized - Invalid or missing API key
Example response (generated from the schema)
{
  "data": {
    "localScrapedContext": {
      "id": "string",
      "locationId": 0,
      "businessName": "string",
      "category": "string",
      "businessDescription": "string",
      "location": "string",
      "services": {},
      "products": {},
      "subcategories": {},
      "pricing": {},
      "availability": {},
      "uniqueSellingPoints": {},
      "tone": "string",
      "targetCustomers": "string",
      "scrapedImages": {},
      "insights": {},
      "brandPrimaryColor": "string",
      "brandSecondaryColor": "string",
      "brandLogoUrl": "string",
      "scrapedContext": "string",
      "visualContext": {}
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.localScrapedContextobjectoptional
data.localScrapedContext.idstringoptional
data.localScrapedContext.locationIdintegeroptional
data.localScrapedContext.businessNamestringoptional
data.localScrapedContext.categorystringoptional
data.localScrapedContext.businessDescriptionstringoptional
data.localScrapedContext.locationstringoptional
data.localScrapedContext.servicesobjectoptionalFree-form JSON.
data.localScrapedContext.productsobjectoptionalFree-form JSON.
data.localScrapedContext.subcategoriesobjectoptionalFree-form JSON.
data.localScrapedContext.pricingobjectoptionalFree-form JSON.
data.localScrapedContext.availabilityobjectoptionalFree-form JSON.
data.localScrapedContext.uniqueSellingPointsobjectoptionalFree-form JSON.
data.localScrapedContext.tonestringoptional
data.localScrapedContext.targetCustomersstringoptional
data.localScrapedContext.scrapedImagesobjectoptionalFree-form JSON.
data.localScrapedContext.insightsobjectoptionalFree-form JSON.
data.localScrapedContext.brandPrimaryColorstringoptional
data.localScrapedContext.brandSecondaryColorstringoptional
data.localScrapedContext.brandLogoUrlstringoptional
data.localScrapedContext.scrapedContextstringoptional
data.localScrapedContext.visualContextobjectoptionalFree-form JSON.